/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

strong{
  font-weight:600;
}

.marker-square li{
	list-style-type: square;
}

.marker-square li::marker{
	color: var(--primary);
}

/************************************** 
/*          Sticky header            */
/**************************************/
#brx-header.brx-sticky.scrolling > .brxe-section {
	padding-block: 10px;
	border-bottom: 1px solid var(--bg-rectangle);
}

/****************************** 
/* Fluent Forms Styling */
/******************************/

.fluentform .ff-el-form-control{
    padding: 10px 20px !important; 
    background-color: var(--base) !important; 
    border: 1px solid var(--primary-cta-stroke) !important;
    border-radius: 0px !important; 
	font-size: var(--text-m) !important;
    line-height: 1.5 !important; 
    color: var(--secondary) !important; 
	height: auto !important;
}

.fluentform .ff-el-form-control::placeholder{
	 color: var(--secondary-trans-60) !important;	
}

/*Change label styles*/
.fluentform .ff-el-input--label label,
.fluentform .ff_t_c{
    font-size: var(--text-m) !important; 
    color:var(--secondary) !important; 
	font-weight: 400 !important;
}

.fluentform .ff_t_c{
	font-size: calc(var(--text-m) * 0.9) !important; 
}

.fluentform .ff-el-tooltip svg {
	fill: var(--primary) !important;
}

.fluentform .ff-dropzone .ff_upload_btn.ff-btn{
	border: 1px dashed var(--primary-cta-stroke) !important;
}

/* Change button style*/
.fluentform .ff-btn-submit {
	background-color: var(--transparent) !important;
    color: var(--base) !important;
	padding-block: var(--btn-padding-block) !important;
    padding-inline: var(--btn-padding-inline) !important;
    min-inline-size: var(--btn-min-width) !important;
    line-height: var(--btn-line-height) !important;
	border-width: var(--btn-border-width) !important;
    border-style: var(--btn-border-style) !important;
    border-radius: var(--btn-radius) !important;
    border-color: var(--btn-border-color) !important;
	font-weight: var(--btn-font-weight) !important;
    position: relative !important;
    z-index: 0 !important;
	opacity: 1 !important;

}

.fluentform .ff-btn-submit:hover {
 	background-color: var(--primary) !important;
}

.fluentform fieldset > div:nth-last-child(3){
	margin-bottom: 0 !important;
}

/*Change button hover style*/

.fluentform .ff-btn-submit::before{
	content: '';
	position: absolute;
	width: 100%;
    height: 100%;
    border: 2px solid var(--primary-cta-stroke);
	z-index: 1 !important;
	top: 0;
	left:0;
}

.fluentform .ff-btn-submit::after{
	content: '';
	position: absolute;
	width: 100%;
    height: 100%;
    background-color: var(--primary);
    z-index: -1;
    top: 7px;
    left: 7px;
    transition: all 0.2s ease;
}

.fluentform .ff-btn-submit:hover::after{
  	top: 0px;
	left: 0px;
}

/************************************** 
/*        Animation overriding        */
/**************************************/
@-webkit-keyframes cwd_fadeInUp {
	0% {
		opacity: 0;
		transform: scale(1) translate3d(0,50px,0);
	}

	to {
		opacity: 1;
		transform: scale(1) translateZ(0);
	}
}

@keyframes cwd_fadeInUp {
	0% {
		opacity: 0;
		transform: scale(1) translate3d(0,50px,0);
	}

	to {
		opacity: 1;
		transform: scale(1) translateZ(0);
	}
}

.brx-body .brx-animate-fadeInUp {
	animation-name: cwd_fadeInUp
}

@-webkit-keyframes cwd_fadeInLeft {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(-50px,0,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

@keyframes cwd_fadeInLeft {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(-50px,0,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

.brx-body .brx-animate-fadeInLeft {
    animation-name: cwd_fadeInLeft
}

@-webkit-keyframes cwd_fadeInRight {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(50px,0,0)
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

@keyframes cwd_fadeInRight {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(50px,0,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

.brx-body .brx-animate-fadeInRight {
    animation-name: cwd_fadeInRight
}

@-webkit-keyframes cwd_fadeInDown {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(0,-50px,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

@keyframes cwd_fadeInDown {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(0,-50px,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

.brx-body .brx-animate-fadeInDown {
    animation-name: cwd_fadeInDown
}